<?php
//session_start();
$estado_session = session_status();
if($estado_session == PHP_SESSION_NONE){
    session_start();
}

?>
<script language="javascript">	
//alert("ZONA DE PROCESO...");		
</script>			
<?php

date_default_timezone_set('America/Lima');
$script_tz = date_default_timezone_get();

include "verifica.php";
include("../conexion.php");
include "correlativos.php";
include "validaciones.php";


@$xpeso_kilos=$_REQUEST['xpeso_kilos'];	
@$xefectivo=$_REQUEST['xefectivo'];	
@$xcambio=$_REQUEST['xcambio'];	

@$xid_array=$_REQUEST['xid_array'];	

@$xactivar_entregas=$_REQUEST['xactivar_entregas'];
@$xactivar_pago_mixto=$_REQUEST['xactivar_pago_mixto'];
	
@$xestado_igv=$_REQUEST['xestado_igv'];	

@$xordpeddet_observacion=$_REQUEST['xordpeddet_observacion'];	

@$xampliacion_plazo=$_REQUEST['xampliacion_plazo'];	
@$xdias_plazo=$_REQUEST['xdias_plazo'];	

@$xautomatico=$_REQUEST['xautomatico'];	

@$xpedido_recuperado=$_REQUEST['xpedido_recuperado'];

@$xid_recuperado=$_REQUEST['xid_recuperado'];

			?>
			<script language="javascript">	
			//alert("sisi.......");		
			//alert("sisisi:: <?php echo $xpedido_recuperado; ?>");     
			</script>			
			<?php


@$xid=$_REQUEST['xid'];
@$xaccion=$_REQUEST['xaccion'];

			?>
			<script language="javascript">						
			xxaccion = parent.parent.document.getElementById('xaccion').value;			
			//alert("xaccion: " + xxaccion);     
			</script>			
			<?php

@$xestado=$_REQUEST['xestado'];
@$xprd_codi=$_REQUEST['xprd_codi'];
@$xordpeddet_codi=$_REQUEST['xordpeddet_codi'];
@$xunimed_codi=$_REQUEST['xunimed_codi'];
@$xordpeddet_precio=$_REQUEST['xordpeddet_precio'];
@$xordpeddet_cantidad=$_REQUEST['xordpeddet_cantidad'];
@$xanotaciones=$_REQUEST['xanotaciones'];

@$xobservacion=$_REQUEST['xobservacion'];
@$xpagomedio=$_REQUEST['xpagomedio'];


@$xusuario_sesion=$_SESSION['nombre_usuario'];

@$xfecha=$_REQUEST['xfecha'];
@$xproveedor=$_REQUEST['xproveedor'];
@$xpagotipo=$_REQUEST['xpagotipo'];

@$xpagodocumento=$_REQUEST['xpagodocumento'];
@$xndocumento=$_REQUEST['xndocumento'];


@$xidtrans=$_REQUEST['xidtrans'];
@$xidtrans_temporal=$_REQUEST['xidtrans_temporal'];


@$xmonto=$_REQUEST['xmonto'];
@$xfecha_documento=$_REQUEST['xfechadocumento'];
@$xclave_quitar_item=$_REQUEST['xclave_quitar_item'];

			?>
			<script language="javascript">			
			//alert("xclave_quitar_item:: <?php echo $xclave_quitar_item; ?>");
			</script>			
			<?php


$pdet = new Pedidosdetalle;



switch($xaccion){
	
	case "adicionar": 
		if($pdet->adicionar($conexion,$xid, $xprd_codi, $xidtrans,$xunimed_codi,$xordpeddet_precio,$xidtrans_temporal,$xpeso_kilos)==1){
			//echo "adicionar";
			?>			
			<script language="javascript">
			
			parent.parent.document.getElementById('xcodigo_barras').focus();									
			parent.parent.document.getElementById('xcodigo_barras').value="";			
			
			parent.parent.document.getElementById('frame_pedidos_detalle').src = "pedidos_detalle_temporal.php?xidtrans=<?php echo $xidtrans;?>&xidtrans_temporal=<?php echo $xidtrans_temporal;?>&xprd_codi=<?php echo $xprd_codi;?>";	
			//alert("sisisi");     
			</script>			
			<?php
			
		}		
		break;
		
	case "modificar": 
		if($pdet->modificar($conexion,$xid,$xprc_codi,$xordpeddet_codi,$xordpeddet_precio,$xfecha,$xproveedor,$xpagotipo,$xidtrans,$xanotaciones, $xusuario_sesion,$xpagodocumento,$xndocumento,$xmonto,$xmediopago,$cor,$xautomatico,$xfecha_documento,$xidtrans_temporal, $xampliacion_plazo, $xdias_plazo, $xobservacion, $xpagomedio, $xactivar_entregas, $xactivar_pago_mixto)==1){
			//echo "modificar";						
			?>
			<script language="javascript">
			parent.parent.document.getElementById('d_img_espera').style.display = "none";			
			alert("Los cambios han sido guardados satisfactoriamente.");
			//parent.parent.location.href="../pedidos.php";		
			parent.parent.document.form_buscar.submit();
			</script>			
			<?php

		}		
		break;
	
	case "eliminar":
		if($pdet->eliminar($conexion,$xid,$xprc_codi,$xordpeddet_codi,$xid_array,$xclave_quitar_item)==1){
			//echo "eliminar";
			?>			
			<script language="javascript">
			//alert("Item eliminado satisfactoriamente.")
			//parent.parent.document.getElementById('frame_compras_detalle').src = "compras_detalle_temporal.php";
			
			//alert("essss");
			
			parent.parent.document.getElementById('frame_pedidos_detalle').src = "pedidos_detalle_temporal.php?xidtrans=<?php echo $xidtrans;?>&xidtrans_temporal=<?php echo $xidtrans_temporal;?>";				
			</script>			
			<?php
			
		}		
		break;
		
	case "guardar_unidad":
	
		?>			
		<script language="javascript">
		parent.parent.document.getElementById('d_img_espera').style.display = "block";
		parent.parent.document.getElementById('bt_enviar_formulario_pedidos').disabled = true;
		</script>			
		<?php
		
		if($pdet->guardar_unidad($conexion,$xid,$xprc_codi,$xordpeddet_codi,$xunimed_codi)==1){
			//echo "guardar_unidad";
			?>			
			<script language="javascript">
			parent.parent.document.getElementById('d_img_espera').style.display = "none";

		 	zxpagodocumento = parent.parent.document.getElementById('xpagodocumento').value;			

			if(xxaccion != "modificar"  ){ 
				parent.parent.document.getElementById('bt_enviar_formulario_pedidos').disabled = false;
			}else{ 	
		
				if(zxpagodocumento != 1  ){ 		
					parent.parent.document.getElementById('bt_enviar_formulario_pedidos').disabled = true;		
				}else{
					
					xfecha = parent.parent.document.getElementById('xfecha_estatico').value; 		
					xfecha_sistema = parent.parent.document.getElementById('xfecha_sistema').value;
				
					if(new Date(xfecha_sistema).getTime() > new Date(xfecha).getTime()){						
						parent.parent.document.getElementById('bt_enviar_formulario_pedidos').disabled = true;
					}else{
						parent.parent.document.getElementById('bt_enviar_formulario_pedidos').disabled = false;
					}					
										
					//parent.parent.document.getElementById('bt_enviar_formulario_pedidos').disabled = false;				
				} 		
		
			}
			</script>			
			<?php
			
		}		
		break;		

	case "guardar_cantidad":
	
		?>			
		<script language="javascript">
		//parent.parent.document.getElementById('d_img_espera').style.display = "block";
		//parent.parent.document.getElementById('bt_enviar_formulario_pedidos').disabled = true;
		</script>			
		<?php
	
		if($pdet->guardar_cantidad($conexion,$xid,$xprc_codi,$xordpeddet_codi,$xordpeddet_cantidad,$xid_array)==1){
			
			?>			
			<script language="javascript">
			parent.parent.actualizar_item_pedidos('actualizar_ofertas');
			
			parent.parent.document.getElementById('d_img_espera').style.display = "none";

		 	zxpagodocumento = parent.parent.document.getElementById('xpagodocumento').value;			

			if(xxaccion != "modificar"  ){ 
				//parent.parent.document.getElementById('bt_enviar_formulario_pedidos').disabled = false;
			}else{ 	
		
				if(zxpagodocumento != 1  ){ 		
					parent.parent.document.getElementById('bt_enviar_formulario_pedidos').disabled = true;		
				}else{
				
					xfecha = parent.parent.document.getElementById('xfecha_estatico').value; 		
					xfecha_sistema = parent.parent.document.getElementById('xfecha_sistema').value;
				
					if(new Date(xfecha_sistema).getTime() > new Date(xfecha).getTime()){						
						parent.parent.document.getElementById('bt_enviar_formulario_pedidos').disabled = true;
					}else{
						parent.parent.document.getElementById('bt_enviar_formulario_pedidos').disabled = false;
					}					
								
					//parent.parent.document.getElementById('bt_enviar_formulario_pedidos').disabled = false;				
					 		
				} 		
		
			}
			</script>			
			<?php
			
		}		
		break;		
		

	case "guardar_precio":

		?>			
		<script language="javascript">
		//parent.document.getElementById('estado_carga2').value = "cargando...9";			
		parent.parent.document.getElementById('d_img_espera').style.display = "block";		
		parent.parent.document.getElementById('bt_enviar_formulario_pedidos').disabled = true;						
				
		</script>			
		<?php

		if($pdet->guardar_precio($conexion,$xid,$xprc_codi,$xordpeddet_codi,$xordpeddet_precio,$xid_array)==1){
			//echo "guardar_unidad";
			?>			
			<script language="javascript">
			parent.parent.actualizar_item_pedidos('actualizar_ofertas');
			parent.parent.document.getElementById('d_img_espera').style.display = "none";

		 	zxpagodocumento = parent.parent.document.getElementById('xpagodocumento').value;			

			if(xxaccion != "modificar"  ){ 
				parent.parent.document.getElementById('bt_enviar_formulario_pedidos').disabled = false;
			}else{ 	
		
				if(zxpagodocumento != 1  ){ 		
					parent.parent.document.getElementById('bt_enviar_formulario_pedidos').disabled = true;		
				}else{
				
					xfecha = parent.parent.document.getElementById('xfecha_estatico').value; 		
					xfecha_sistema = parent.parent.document.getElementById('xfecha_sistema').value;
				
					if(new Date(xfecha_sistema).getTime() > new Date(xfecha).getTime()){						
						parent.parent.document.getElementById('bt_enviar_formulario_pedidos').disabled = true;
					}else{
						parent.parent.document.getElementById('bt_enviar_formulario_pedidos').disabled = false;
					}					
								
					//parent.parent.document.getElementById('bt_enviar_formulario_pedidos').disabled = false;				
				} 		
		
			}
			</script>			
			<?php
			
		}		
		break;		
		
	case "guardar_nuevo_pedido":
	
			echo "...";
	
			$arr_cotizacion = $_SESSION['arr_cotizacion']; 
		  	$xcantidad = count($arr_cotizacion);			
		  	for($i=0; $i<$xcantidad; $i++){			
				if(@$arr_cotizacion[$i]==NULL){
					continue;
				}
				$xt_cantidad = $arr_cotizacion[$i]['t_cantidad'];	
				$xt_ordpeddet_precio = $arr_cotizacion[$i]['t_ordpeddet_precio'];
				
				if($xt_cantidad<=0 or $xt_ordpeddet_precio<=0){
					?>
					<script language="javascript">
					alert("ADVERTENCIA: En su detalle de pedido existe una cantidad o precio en cero. Verifique.");
					parent.parent.document.getElementById('d_img_espera').style.display = "none";
					</script>
					<?php
					exit;
				}
			}
	
		if($pdet->guardar_nuevo_pedido($conexion,$xid,$xprc_codi,$xordpeddet_codi,$xordpeddet_precio,$xfecha,$xproveedor,$xpagotipo,$xidtrans,$xanotaciones,$xusuario_sesion,$xmonto,$xpagodocumento,$xndocumento,$cor,$vali,$xid_recuperado,$xpedido_recuperado,$xfecha_documento, $xampliacion_plazo, $xdias_plazo, $xobservacion, $xpagomedio, $xactivar_entregas, $xefectivo, $xcambio, $xactivar_pago_mixto)==1){
			//echo "guardar_unidad";			
			//array_splice($animales, 1, 2);
			
			$arr_cotizacion = $_SESSION['arr_cotizacion']; 
			$n = count($arr_cotizacion,0);
			array_splice($arr_cotizacion, 0, $n);
			$_SESSION['arr_cotizacion'] = $arr_cotizacion; 		
			
			?>			
			<script language="javascript">
			//parent.parent.document.getElementById('xidtrans').value = "";	
				
			//parent.parent.document.getElementById('frame_pedidos_detalle').src="pedidos_detalle_temporal_vacio.php";
			parent.parent.document.getElementById('frame_pedidos_detalle').src="";
			parent.parent.document.getElementById('d_img_espera').style.display = "none";			
			alert("Pedido guardado satisfactoriamente.");
			//parent.parent.location.href="../pedidos.php";		
			parent.parent.document.form_buscar.submit();
			//parent.parent.document.getElementById('frame_compras_detalle').src = "compras_detalle_temporal.php";	
			</script>			
			<?php
			
		}		
		break;						

	case "adicionar_temporal_modificar": 
		if($pdet->adicionar_temporal_modificar($conexion,$xid, $xidtrans, $xidtrans_temporal)==1){
			//echo "adicionar";
			?>			
			<script language="javascript">
			
			parent.parent.document.getElementById('frame_pedidos_detalle').src = "pedidos_detalle_temporal.php?xidtrans=<?php echo $xidtrans;?>&xidtrans_temporal=<?php echo $xidtrans_temporal;?>&xaccion2=<?php echo $xaccion;?>";	
			//alert('sssss...');
			</script>			
			<?php
			
		}		
		break;
		
	case "generar_idtrans":
		if($pdet->generar_idtrans($conexion)==1){
			//echo "generar_idtrans";
			?>			
			<script language="javascript">
			//alert("idtrans generado satisfactoriamente.")
			//parent.parent.document.getElementById('frame_compras_detalle').src = "compras_detalle_temporal.php";	
			</script>			
			<?php
			
		}		
		break;		

	case "activar":
		if($pdet->activar($conexion,$xestado, $xaccion, $xid, $xusuario_sesion)==1){
			?>			
			<script language="javascript">
			//alert("aaa");
			</script>			
			<?php
			
		}		
		break;

	case "adicionar_temporal_recuperar_cotizacion": 
		if($pdet->adicionar_temporal_recuperar_cotizacion($conexion, $xid, $xidtrans, $xid_recuperado, $xop2, $xidtrans_temporal)==1){
			//echo "adicionar";
			?>			
			<script language="javascript">
			parent.parent.document.getElementById('frame_pedidos_detalle').src = "pedidos_detalle_temporal.php?xidtrans=<?php echo $xidtrans;?>&xidtrans_temporal=<?php echo $xidtrans_temporal;?>";
			parent.parent.busca_orden_cerrar()	
			//alert('sssss...');
			
			</script>			
			<?php
			
		}		
		break;


	case "guardar_observacion":
		
		?>			
		<script language="javascript">
		//parent.document.getElementById('estado_carga2').value = "cargando...9";			
		parent.parent.document.getElementById('d_img_espera').style.display = "block";		
		parent.parent.document.getElementById('bt_enviar_formulario_pedidos').disabled = true;						
				
		</script>			
		<?php

		if($pdet->guardar_observacion($conexion,$xid,$xprc_codi,$xordpeddet_codi,$xordpeddet_observacion, $xid_array )==1){		
		
			//echo "guardar_unidad";
			?>			
			<script language="javascript">
			parent.parent.document.getElementById('d_img_espera').style.display = "none";
			parent.parent.document.getElementById('bt_enviar_formulario_pedidos').disabled = false;
			</script>			
			<?php
			
		}		
		break;		


	case "exonerar":
		if($pdet->exonerar($conexion, $xestado_igv, $xaccion, $xid, $xusuario_sesion)==1){
			?>			
			<script language="javascript">
			//alert("aaa");
			</script>			
			<?php
			
		}		
		break;
		

	case "reprocesar_comprobante":
		if($pdet->reprocesar_comprobante($conexion, $xaccion, $xid, $xusuario_sesion)==1){
			?>			
			<script language="javascript">
			//alert("aaa");
			</script>			
			<?php
			
		}		
		break;		


	case "actualizar_ofertas": 
		if($pdet->actualizar_ofertas($conexion, $xidtrans, $xidtrans_temporal)==1){
			//echo "adicionar";
			?>			
			<script language="javascript">		
			
			parent.parent.document.getElementById('xcodigo_barras').focus();									
			parent.parent.document.getElementById('xcodigo_barras').value="";	
			
			xitem_actual = parent.parent.document.getElementById('xitem_actual').value;									
			
			parent.parent.document.getElementById('frame_pedidos_detalle').src = "pedidos_detalle_temporal.php?xidtrans=<?php echo $xidtrans;?>&xidtrans_temporal=<?php echo $xidtrans_temporal;?>&xprd_codi="+xitem_actual;	
			//alert("sisisi");     
			</script>			
			<?php
			
		}		
		break;
}


	
//$xid=$_REQUEST['xid'];
// echo "DEBE GUARDAR.".$xid;
//include("../conexion.php");


class Pedidosdetalle{

	//Adiciona nuevo ITEM
	function adicionar($conexion,$xid, $xprd_codi, $xidtrans, $xunimed_codi, $xordpeddet_precio, $xidtrans_temporal, $xpeso_kilos){
		//global $xid, $xprd_codi, $xidtrans,$xunimed_codi,$xordpeddet_precio,$xidtrans_temporal;		
		include("funciones.php");	
		
		
		$xfechahora = date('Y-m-d H:i:s');				
		echo $xfechahora;	
		$arr_cotizacion = $_SESSION['arr_cotizacion']; 
		
		if (isset($arr_cotizacion)) {
			echo "EL ARRAY SI EXISTE";
		} else {
			echo "EL ARRAY NO EXISTE";
		}		
		
		?>
		<script language="javascript">
		alert("por aqui...555: <?php echo $arr_cotizacion; ?>");
		</script>
		<?php				
		
		//$xcantidad = count($arr_cotizacion,0);		
		$xcantidad = count($arr_cotizacion);	
	
				
		$xmonto_icbper = 0;
		$r_icbper = mysqli_query($conexion, "SELECT con_icbper_monto FROM productos p
											INNER JOIN configuraciones c ON c.con_prdfam_codi_icbper = p.prdfam_codi_fk
											WHERE prd_codi = $xprd_codi;");
		while($row_icbper = mysqli_fetch_array($r_icbper)){
			$xmonto_icbper = $row_icbper['con_icbper_monto'];				
		}
		
		
		$xprd_afecto_igv = 0;			
		$r_afecto_igv = mysqli_query($conexion, "SELECT prd_afecto_igv
											FROM productos p
											WHERE prd_codi = $xprd_codi;");
		while($row_afecto_igv = mysqli_fetch_array($r_afecto_igv)){
			$xprd_afecto_igv = $row_afecto_igv['prd_afecto_igv'];						
		}				
		


						
		$salta = 0;		
		for($i=0; $i<$xcantidad; $i++){			
			if(@$arr_cotizacion[$i]==NULL){
				continue;
			}										
			if($arr_cotizacion[$i]['t_prd_codi_fk'] == $xprd_codi and 
				$arr_cotizacion[$i]['t_unimed_codi_fk'] == $xunimed_codi){	
				
				if($xpeso_kilos > 0){
					$xcantidad_1 = $xpeso_kilos;
				}else{
					$xcantidad_1 = 1;				
				}			   
				
				//$arr_cotizacion[$i]['t_cantidad'] = $arr_cotizacion[$i]['t_cantidad'] + 1;
				$arr_cotizacion[$i]['t_cantidad'] = $arr_cotizacion[$i]['t_cantidad'] + $xcantidad_1;
				$salta = 1;
				$_SESSION['arr_cotizacion'] = $arr_cotizacion;						
				break;
			}						
		}	
		
		

		
		/*
		$salta = 0;		
		for($i=0; $i<$xcantidad; $i++){			
			if(@$arr_cotizacion[$i]==NULL){
				continue;
			}										
			if($arr_cotizacion[$i]['t_prd_codi_fk'] == $xprd_codi and 
				$arr_cotizacion[$i]['t_unimed_codi_fk'] == $xunimed_codi and
				$arr_cotizacion[$i]['t_ordpeddet_precio'] == $xordpeddet_precio){				   
				
				$arr_cotizacion[$i]['t_cantidad'] = $arr_cotizacion[$i]['t_cantidad'] + 1;
				$salta = 1;
				$_SESSION['arr_cotizacion'] = $arr_cotizacion;						
				//break;
			}						
		}	
		*/
			
		
		
		if($salta == 0){		
			if(count($arr_cotizacion,0)==0){
				$arr_cotizacion = array();
				$n = 0;
			}else{	
				$n = count($arr_cotizacion,0);
			}
			
			if($xpeso_kilos > 0){
				$xcantidad_1 = $xpeso_kilos;
			}else{
				$xcantidad_1 = 1;				
			}		
			
			$arr_cotizacion[$n]['t_ordpeddet_fechahora'] = $xfechahora;
			$arr_cotizacion[$n]['t_prd_codi_fk'] = $xprd_codi;
			$arr_cotizacion[$n]['t_idtrans'] = $xidtrans;
			$arr_cotizacion[$n]['t_unimed_codi_fk'] = $xunimed_codi;
			$arr_cotizacion[$n]['t_ordpeddet_precio'] = $xordpeddet_precio;
			$arr_cotizacion[$n]['t_idtrans_temporal'] = $xidtrans_temporal;
			//$arr_cotizacion[$n]['t_cantidad'] = 1;
			$arr_cotizacion[$n]['t_cantidad'] = $xcantidad_1;
			$arr_cotizacion[$n]['t_observacion'] = '';	
			$arr_cotizacion[$n]['t_ordped_codi'] = '';	
			$arr_cotizacion[$n]['t_ordpeddet_icbper_monto_unitario'] = $xmonto_icbper;			
			$arr_cotizacion[$n]['t_ordpeddet_igv_afectado'] = $xprd_afecto_igv;
			
			
			
			$_SESSION['arr_cotizacion'] = $arr_cotizacion;									
		}													
		
		//$arr_cotizacion = organizar_promociones($conexion, $arr_cotizacion, $xprd_codi, $xunimed_codi, $xcantidad_1);
		//$arr_cotizacion = organizar_promociones($conexion, $arr_cotizacion, $xprd_codi, $xunimed_codi, $xmonto_icbper);
		
		
		//////////////////////////////////////////////////$arr_cotizacion = organizar_promociones($conexion, $arr_cotizacion, $xprd_codi, $xunimed_codi);
		//////////////////////////////////////////////////$_SESSION['arr_cotizacion'] = $arr_cotizacion;			

			?>
			<script language="javascript">
			//alert("SOMOS 1");
			</script>			
			<?php


		/********/	
		/*******INICIO REORGANIZACION DE PROMOCIONES*******/		
		/*
		//function organizar_promociones($arr, $conexion){					
			$arr = $arr_cotizacion;
			$arr2 = array();
			$arr3 = array();			
			$z = 0;
			
			$xfecha = date('Y-m-d');				
			
			for($x=0; $x<count($arr,0); $x++){
				echo $arr[$x]['t_prd_codi_fk']." - ".$arr[$x]['t_unimed_codi_fk']." - ".$arr[$x]['t_cantidad']." - ".$arr[$x]['t_ordpeddet_precio'];
				
				$xt_prd_codi_fk = $arr[$x]['t_prd_codi_fk'];
				$xt_unimed_codi_fk = $arr[$x]['t_unimed_codi_fk'];	
				
				$xunimed_codi_fk = "";			
				$xprd_codi_fk = "";
				$xpromdet_cantidad = 0;
				$r_promocion = mysqli_query($conexion,"SELECT pd.unimed_codi_fk, pd.prd_codi_fk, pd.promdet_precio, pd.promdet_cantidad, pd.promdet_precio_promocion
														FROM promociones p
														INNER JOIN promociones_detalle pd ON pd.prom_codi_fk=p.prom_codi
														WHERE p.prom_codi=(
														SELECT pp.prom_codi
														FROM promociones pp
														INNER JOIN promociones_detalle ppdd ON ppdd.prom_codi_fk=pp.prom_codi
														WHERE pp.prom_estado = 1
														AND ((pp.prom_activado=1 AND pp.prom_fecha_inicio <= '$xfecha' AND pp.prom_fecha_fin >= '$xfecha') 
														OR (pp.prom_activado=0))
														AND ppdd.prd_codi_fk = $xt_prd_codi_fk
														AND ppdd.unimed_codi_fk = $xt_unimed_codi_fk
														ORDER BY pp.prom_codi DESC
														LIMIT 1);"); 
				while($row_promocion = mysqli_fetch_array($r_promocion)){
					$xunimed_codi_fk = $row_promocion['unimed_codi_fk'];
					$xprd_codi_fk = $row_promocion['prd_codi_fk'];
					$xpromdet_cantidad = $row_promocion['promdet_cantidad'];
					$xpromdet_precio_promocion = $row_promocion['promdet_precio_promocion'];
					$xpromdet_precio = $row_promocion['promdet_precio'];
				}
				
				if($arr[$x]['t_prd_codi_fk'] == $xprd_codi_fk and 
				   $arr[$x]['t_unimed_codi_fk'] == $xunimed_codi_fk and 
				   $arr[$x]['t_cantidad'] >= $xpromdet_cantidad ){ 
									
					$xentero = intval($arr[$x]['t_cantidad'] / $xpromdet_cantidad);
					
					$xcantidad_oferta = $xentero * $xpromdet_cantidad;
					$xcantidad_excluida = $arr[$x]['t_cantidad'] - $xcantidad_oferta;
					
					echo " (cantidad_oferta: ".$xcantidad_oferta.") ";		
					echo " (xcantidad_excluida: ".$xcantidad_excluida.") ";					
					echo " (oferta) ";
					
					
					//$arr2[$x]['codigo'] = $arr[$x]['codigo'];
					//$arr2[$x]['nombre'] = $arr[$x]['nombre']; 
					//$arr2[$x]['cantidad'] = $xcantidad_oferta;
					////$arr2[$x]['precio'] = $precio_afectado;	
					//$arr2[$x]['precio'] = $precio_afectado[$arr[$x]['codigo']];	
					
					
					$arr2[$x]['t_ordpeddet_fechahora'] =$arr[$x]['t_ordpeddet_fechahora'];
					$arr2[$x]['t_prd_codi_fk'] = $arr[$x]['t_prd_codi_fk'];
					$arr2[$x]['t_idtrans'] = $arr[$x]['t_idtrans'];
					$arr2[$x]['t_unimed_codi_fk'] = $arr[$x]['t_unimed_codi_fk'];
					$arr2[$x]['t_ordpeddet_precio'] = $xpromdet_precio_promocion;
					$arr2[$x]['t_idtrans_temporal'] = $arr[$x]['t_idtrans_temporal'];
					$arr2[$x]['t_cantidad'] = $xcantidad_oferta;
					$arr2[$x]['t_observacion'] = $arr[$x]['t_observacion'];	
					$arr2[$x]['t_ordped_codi'] = $arr[$x]['t_ordped_codi'];						
										
					if($xcantidad_excluida > 0){			
						
						//$arr3[$z]['codigo'] = $arr[$x]['codigo'];
						//$arr3[$z]['nombre'] = $arr[$x]['nombre']; 
						//$arr3[$z]['cantidad'] = $xcantidad_excluida;
						//$arr3[$z]['precio'] = $arr[$x]['precio'];
						
						$arr3[$z]['t_ordpeddet_fechahora'] =$arr[$x]['t_ordpeddet_fechahora'];
						$arr3[$z]['t_prd_codi_fk'] = $arr[$x]['t_prd_codi_fk'];
						$arr3[$z]['t_idtrans'] = $arr[$x]['t_idtrans'];
						$arr3[$z]['t_unimed_codi_fk'] = $arr[$x]['t_unimed_codi_fk'];
						//$arr3[$z]['t_ordpeddet_precio'] = $arr[$x]['t_ordpeddet_precio'];						
						$arr3[$z]['t_ordpeddet_precio'] = $xpromdet_precio;
						$arr3[$z]['t_idtrans_temporal'] = $arr[$x]['t_idtrans_temporal'];
						$arr3[$z]['t_cantidad'] = $xcantidad_excluida;
						$arr3[$z]['t_observacion'] = $arr[$x]['t_observacion'];	
						$arr3[$z]['t_ordped_codi'] = $arr[$x]['t_ordped_codi'];						
																				
						$z = $z + 1;			
					}	
				}else{		
					
					//$arr2[$x]['codigo'] = $arr[$x]['codigo'];
					//$arr2[$x]['nombre'] = $arr[$x]['nombre']; 
					//$arr2[$x]['cantidad'] = $arr[$x]['cantidad'];
					//$arr2[$x]['precio'] = $arr[$x]['precio'];
					
					
					//$arr[$x]['t_prd_codi_fk'] == $xprd_codi_fk and 
				   	//$arr[$x]['t_unimed_codi_fk'] == $xunimed_codi_fk and 
				   	//$arr[$x]['t_cantidad'] >= $xpromdet_cantidad
					
					echo "<br>";
					echo $arr2[$x]['t_prd_codi_fk'];
					echo "<br>";					
					
					if($arr2[$x]['t_prd_codi_fk'] == $xprd_codi and 
						$arr2[$x]['t_unimed_codi_fk'] == $xunimed_codi){	
						
						echo "<br>";
						echo "CUMPLIENDO!!!";			   
						
						//$arr[$x]['t_cantidad'] = $arr[$x]['t_cantidad'] + 1;
						//$salta = 1;
						//$_SESSION['arr_cotizacion'] = $arr_cotizacion;						
						//break;
					}else{						
					
						echo "<br>";
						echo "OJO!!!";	
					
						$arr2[$x]['t_ordpeddet_fechahora'] =$arr[$x]['t_ordpeddet_fechahora'];
						$arr2[$x]['t_prd_codi_fk'] = $arr[$x]['t_prd_codi_fk'];
						$arr2[$x]['t_idtrans'] = $arr[$x]['t_idtrans'];
						$arr2[$x]['t_unimed_codi_fk'] = $arr[$x]['t_unimed_codi_fk'];
						$arr2[$x]['t_ordpeddet_precio'] = $arr[$x]['t_ordpeddet_precio'];
						$arr2[$x]['t_idtrans_temporal'] = $arr[$x]['t_idtrans_temporal'];
						$arr2[$x]['t_cantidad'] = $arr[$x]['t_cantidad'];
						$arr2[$x]['t_observacion'] = $arr[$x]['t_observacion'];	
						$arr2[$x]['t_ordped_codi'] = $arr[$x]['t_ordped_codi'];																
					}
				}				
			}
			
			
			$arr4 = array_merge($arr2, $arr3);
			$arr_cotizacion = $arr4;
			$_SESSION['arr_cotizacion'] = $arr_cotizacion;
			
			//return $arr4;
		//}					
		*/	
		/*******FIN REORGANIZACION DE PROMOCIONES*******/
		/********/			
		
		return 1;	
		
	}
		


	//Guarda Modificaciones de orden de compra
	function modificar($conexion,$xid,$xprc_codi,$xordpeddet_codi,$xordpeddet_precio,$xfecha,$xproveedor,$xpagotipo,$xidtrans,$xanotaciones, $xusuario_sesion,$xpagodocumento,$xndocumento,$xmonto,$xmediopago,$cor,$xautomatico,$xfecha_documento,$xidtrans_temporal, $xampliacion_plazo, $xdias_plazo, $xobservacion, $xpagomedio, $xactivar_entregas, $xactivar_pago_mixto){

		//global $xid,$xprc_codi,$xordpeddet_codi,$xordpeddet_precio,$xfecha,$xproveedor,$xpagotipo,$xidtrans,$xanotaciones, $xusuario_sesion,$xpagodocumento,$xndocumento,$xmonto,$xmediopago,$cor,$xautomatico,$xfecha_documento,$xidtrans_temporal, $xampliacion_plazo, $xdias_plazo, $xobservacion, $xpagomedio, $xactivar_entregas;
		
		$s_empresa = $_SESSION['s_empresa'];
																		
		/*
		if($_SESSION['s_facturacion_electronica']==1){				
			$xserie = substr(trim($xndocumento),0,4);			
			$correlativo_doc = $cor->comprobantes_grabar($conexion, $xserie, $xpagodocumento);			
			$xndocumento = $correlativo_doc;
		}																			
		*/
		
		//$xanotaciones = eregi_replace("[\n|\r|\n\r]", ' ', $xanotaciones);		
		$xanotaciones = preg_replace("[\n|\r|\n\r]", ' ', $xanotaciones);
					
		//$xobservacion = eregi_replace("[\n|\r|\n\r]", ' ', $xobservacion);	
		$xobservacion = preg_replace("[\n|\r|\n\r]", ' ', $xobservacion);	
		
		//ACTUALIZA LA CABECERA DE LA ORDEN DE PEDIDO
		$r2=mysqli_query($conexion,"UPDATE orden_pedido set ordped_fecha = '$xfecha',
														per_codi_fk = '$xproveedor',
														pagtip_codi_fk = '$xpagotipo',
														ordped_anotaciones = '$xanotaciones',
														ordped_usu_modifica = '$xusuario_sesion',																									
														ordped_fecha_documento = '$xfecha_documento',
														ordped_dias_credito = '$xdias_plazo',
														ordped_dias_credito_ampliacion = '$xampliacion_plazo',
														ordped_observacion = '$xobservacion',
														medpag_codi_fk = '$xpagomedio'
												WHERE idtrans='$xidtrans';");																						
		
		if($r2){	
		
			
			if($_SESSION['s_facturacion_electronica']==1){				
				$xserie = substr(trim($xndocumento),0,4);			
				$correlativo_doc = $cor->comprobantes_grabar($conexion, $xserie, $xpagodocumento);			
				$xndocumento = $correlativo_doc;
				
				$g_actualiza_r2 = mysqli_query($conexion,"UPDATE orden_pedido SET docpag_codi_fk = '$xpagodocumento',
																				ordped_docpagnum = '$xndocumento'
																		WHERE idtrans = '$xidtrans';");				
				
			}																			

			
				
			$r_trans = mysqli_query($conexion, "SELECT ordped_codi FROM orden_pedido o where idtrans='$xidtrans';");
			while($row_trans=mysqli_fetch_array($r_trans)){
				$xordped_codi=$row_trans['ordped_codi'];
			}
			
			
			$nu_nuevo = "9999999999"; 
			$xnu_nuevo = time().rand(1,$nu_nuevo);
			
			@$arr_cotizacion = $_SESSION['arr_cotizacion']; 
		  	$xcantidad = count($arr_cotizacion);
		  
		  	for($i=0; $i<$xcantidad; $i++){
			
				if(@$arr_cotizacion[$i]==NULL){
					continue;
				}
			
				//$xp_codi = $arr_cotizacion[$i]['xp_codi'];
				//$xp_codi_2 = $arr_cotizacion[$i]['xp_codi_2'];	
				
				$xt_fechahora = $arr_cotizacion[$i]['t_ordpeddet_fechahora'];
				$xt_prd_codi = $arr_cotizacion[$i]['t_prd_codi_fk'];
				$xt_idtrans = $arr_cotizacion[$i]['t_idtrans'];
				$xt_unimed_codi = $arr_cotizacion[$i]['t_unimed_codi_fk'];
				$xt_ordpeddet_precio = $arr_cotizacion[$i]['t_ordpeddet_precio'];
				$xt_idtrans_temporal = $arr_cotizacion[$i]['t_idtrans_temporal'];				
				$xt_cantidad = $arr_cotizacion[$i]['t_cantidad'];	
				$xt_observacion = $arr_cotizacion[$i]['t_observacion'];									
				$xt_ordped_codi = $arr_cotizacion[$i]['t_ordped_codi'];	
				$xt_ordpeddet_icbper_monto_unitario = $arr_cotizacion[$i]['t_ordpeddet_icbper_monto_unitario'];				
				$xt_ordpeddet_igv_afectado = $arr_cotizacion[$i]['t_ordpeddet_igv_afectado'];				
				
							
				$r=mysqli_query($conexion,"INSERT INTO orden_pedido_detalle (ordpeddet_fechahora, 
																				prd_codi_fk,
																				unimed_codi_fk,
																				ordpeddet_precio,
																				ordpeddet_cantidad,
																				ordped_codi_fk,
																				idtrans,
																				ordpeddet_observaciones,
																				idtrans_nuevo,
																				ordpeddet_icbper_monto_unitario,
																				ordpeddet_igv_afectado) 
																		VALUES('$xt_fechahora',
																				$xt_prd_codi,
																				$xt_unimed_codi,
																				$xt_ordpeddet_precio,
																				$xt_cantidad,
																				$xt_ordped_codi,
																				'$xt_idtrans',
																				'$xt_observacion',
																				'$xnu_nuevo',
																				'$xt_ordpeddet_icbper_monto_unitario',
																				'$xt_ordpeddet_igv_afectado');");															

			}
			
			//if($r){
				$d = mysqli_query($conexion,"DELETE FROM orden_pedido_detalle 
											WHERE ordped_codi_fk = $xordped_codi 
											AND (idtrans_nuevo != '$xnu_nuevo' OR idtrans_nuevo is null);"); 													
			
			//}			
		
		//ELIMINACI�N DE LOS DETALLES DE PEDIDO ELIMINADOS
			//$r_antiguos = mysqli_query($conexion,"SELECT o.* FROM orden_pedido_detalle o LEFT JOIN temporal_orden_pedido_detalle t ON t.ordpeddet_codi_fk = o.ordpeddet_codi WHERE o.idtrans='$xidtrans' AND t.idtrans IS NULL order by o.ordpeddet_codi;");
			
			//$r_antiguos = mysqli_query($conexion,"SELECT o.* FROM orden_pedido_detalle o LEFT JOIN temporal_orden_pedido_detalle t ON t.ordpeddet_codi_fk = o.ordpeddet_codi WHERE o.idtrans='$xidtrans' AND  t.idtrans_temporal='$xidtrans_temporal' AND t.idtrans IS NULL order by o.ordpeddet_codi;");
			
			/***********************************************
			$r_antiguos = mysqli_query($conexion,"SELECT * from orden_pedido_detalle o WHERE o.idtrans='$xidtrans' order by o.ordpeddet_codi;");						
			while($row_antiguos=mysqli_fetch_array($r_antiguos)){
				$xordpeddet_codi=$row_antiguos['ordpeddet_codi'];
				
				$r_antiguos_verifica = mysqli_query($conexion,"SELECT * from temporal_orden_pedido_detalle t WHERE t.ordpeddet_codi_fk=$xordpeddet_codi AND t.idtrans='$xidtrans' AND t.idtrans_temporal='$xidtrans_temporal' group by t.ordpeddet_codi_fk order by t.ordpeddet_codi;");
				if(mysqli_num_rows($r_antiguos_verifica)==0){
				
					$r_elimina_antiguos = mysqli_query($conexion,"DELETE FROM orden_pedido_detalle WHERE ordpeddet_codi=$xordpeddet_codi;");
				}		
				
			}
			********************************************/
			
		//ACTUALIZACION DE LOS DETALLES DE PEDIDO MODIFICADOS
			//$r_actualizados = mysqli_query($conexion,"SELECT o.ordpeddet_codi as t_ordpeddet_codi, t.* FROM orden_pedido_detalle o LEFT JOIN temporal_orden_pedido_detalle t ON t.ordpeddet_codi_fk = o.ordpeddet_codi WHERE o.idtrans='$xidtrans' AND t.idtrans IS NOT NULL order by o.ordpeddet_codi;");
			
			
			
			/************************************************
			$r_actualizados = mysqli_query($conexion,"SELECT o.ordpeddet_codi as t_ordpeddet_codi, t.* 
													FROM orden_pedido_detalle o 
													LEFT JOIN temporal_orden_pedido_detalle t ON t.ordpeddet_codi_fk = o.ordpeddet_codi 
													WHERE o.idtrans='$xidtrans' 
													AND t.idtrans_temporal='$xidtrans_temporal' 
													AND t.idtrans IS NOT NULL 
													order by o.ordpeddet_codi;");
			
			while($row_actualizados=mysqli_fetch_array($r_actualizados)){
			
						
				$xordpeddet_codi = $row_actualizados['t_ordpeddet_codi'];
				$xprd_codi_fk = $row_actualizados['prd_codi_fk'];
				$xunimed_codi_fk = $row_actualizados['unimed_codi_fk'];
				$xordpeddet_precio = $row_actualizados['ordpeddet_precio'];
				$xordpeddet_cantidad = $row_actualizados['ordpeddet_cantidad'];
				$xordpeddet_observaciones = $row_actualizados['ordpeddet_observaciones'];				
							
				$r_modifica_actualizados = mysqli_query($conexion,"UPDATE orden_pedido_detalle set unimed_codi_fk = $xunimed_codi_fk,
																									ordpeddet_precio = $xordpeddet_precio,
																									ordpeddet_cantidad = $xordpeddet_cantidad,
																									ordpeddet_observaciones = '$xordpeddet_observaciones'
																				 WHERE ordpeddet_codi=$xordpeddet_codi;");
																				 
				
			}
			*******************************************************/
		
			
			
			//INSERCCION DE LOS NUEVOS DETALLES DE PEDIDOS
			//$r1 = mysqli_query($conexion,"SELECT t.* FROM temporal_orden_pedido_detalle t LEFT JOIN orden_pedido_detalle o ON t.ordpeddet_codi_fk = o.ordpeddet_codi WHERE t.idtrans='$xidtrans' AND o.idtrans IS NULL;");	
			
			
			/***********************************************************
			$r1 = mysqli_query($conexion,"SELECT t.* FROM temporal_orden_pedido_detalle t LEFT JOIN orden_pedido_detalle o ON t.ordpeddet_codi_fk = o.ordpeddet_codi WHERE t.idtrans='$xidtrans' AND t.idtrans_temporal='$xidtrans_temporal' AND o.idtrans IS NULL;");
			
			while($row1=mysqli_fetch_array($r1)){
			
				$xprd_codi_fk=$row1['prd_codi_fk'];
				$xunimed_codi_fk=$row1['unimed_codi_fk'];
				$xordpeddet_precio=$row1['ordpeddet_precio'];
				$xordpeddet_cantidad=$row1['ordpeddet_cantidad'];
				$xordpeddet_observaciones=$row1['ordpeddet_observaciones'];
				
				$xfechahora = date('Y-m-d H:i:s');								
				
				$r=mysqli_query($conexion,"INSERT INTO orden_pedido_detalle (ordpeddet_fechahora, 
																				prd_codi_fk,
																				unimed_codi_fk,
																				ordpeddet_precio,
																				ordpeddet_cantidad,
																				ordped_codi_fk,
																				idtrans,
																				ordpeddet_observaciones) 
																		VALUES('$xfechahora',
																				$xprd_codi_fk,
																				$xunimed_codi_fk,
																				$xordpeddet_precio,
																				$xordpeddet_cantidad,
																				$xordped_codi,
																				'$xidtrans',
																				'$xordpeddet_observaciones');");				
			}
			*******************************************************/



			/****** INICIO AUTOMATICO *******************/
			
				?>			
				<script language="javascript">
					//alert('auto:  <?php echo $xautomatico; ?>')			
				</script>			
				<?php			

			//if($xautomatico==1){
			if($xautomatico==99999999999999999){

				//SI LOS CAMPOS QUE GENERAN AUTOMATICAMENTE LA OPERACI�N DE CAJA Y OPERACION DE ALMACEN, ESTAN ACTIVADOS
				$r_tipo = mysqli_query($conexion, "SELECT * FROM pago_tipo p WHERE pagtip_codi=$xpagotipo;");
				while($row_tipo = mysqli_fetch_array($r_tipo)){
					$xpagtip_caja_automatica = $row_tipo['pagtip_caja_automatica'];
					$xpagtip_almacen_automatico = $row_tipo['pagtip_almacen_automatico'];
					
					/**********GENERA CAJA AUTOMATICAMENTE**********************/
					//if($xpagtip_caja_automatica == 1){
					if($xpagtip_caja_automatica == 1 and $xactivar_pago_mixto==0){		
																			
						//IDENTIFICANDO ID DE OPERACI�N DE CAJA
						$r_idcaja = mysqli_query($conexion, "SELECT * FROM orden_pedido_caja o where ordped_codi_fk=$xordped_codi;");
						while($row_idcaja = mysqli_fetch_array($r_idcaja)){
							$xopecaj_codi_fk = $row_idcaja['opecaj_codi_fk'];
							
							
							?>			
							<script language="javascript">
							//alert("DEBE ELIMINAR: <?php echo $xopecaj_codi_fk; ?>");
							</script>			
							<?php						
						
							//ACTUALIZA LA CABECERA DE OPERACI�N DE CAJA	
							$r2=mysqli_query($conexion,"UPDATE operacion_caja set opecaj_estado=0,
																			 opecaj_anotaciones='ANULADO AUTOMATICAMENTE'
																	WHERE opecaj_codi=$xopecaj_codi_fk;");	
													
						}
						
						
						
						$nu = "9999999999"; 
						$xnu = time().rand(1,$nu);
						
						
						if(trim($xpagomedio)=="" and $xpagomedio==NULL){
							$xmediopago2 = $_SESSION['s_mediopago'];
						}else{	
							$xmediopago2 = $xpagomedio;
						}
						
						$correlativo = $cor->caja($conexion);
						$xcaj_codi = $vali->caja_abierta($conexion);
						
						$xfechahora = date('Y-m-d H:i:s');
											
						$r_caja=mysqli_query($conexion,"INSERT INTO operacion_caja (opecaj_fechahora,
																		opecaj_fecha,
																		opecaj_numero,																		
																		per_codi_fk,
																		opecajtip_codi_fk,																		
																		opecaj_anotaciones,
																		opecaj_monto,
																		opecaj_usu_crea,
																		medpag_codi_fk,
																		idtrans,
																		caj_codi_fk,
																		emp_codi_fk) 
																VALUES('$xfechahora',
																		'$xfecha',
																		'$correlativo',
																		$xproveedor,
																		$xpagotipo,
																		'GENERADO AUTOMATICAMENTE',
																		$xmonto,
																		'$xusuario_sesion',
																		'$xmediopago2',
																		'$xnu',
																		'$xcaj_codi',
																		'$s_empresa');");
																		
						if($r_caja){																											
																	
							$r4=mysqli_query($conexion,"SELECT * FROM operacion_caja o WHERE idtrans = '$xnu';");
							while($row4=mysqli_fetch_array($r4)){
								$xopecaj_codi_fk = $row4['opecaj_codi'];
							}
												
							$xfechahora = date('Y-m-d H:i:s');		
							$r3=mysqli_query($conexion,"INSERT INTO orden_pedido_caja (ordpedcaj_fechahora,
																							ordped_codi_fk,
																							opecaj_codi_fk) 
																					VALUES('$xfechahora',
																							$xordped_codi,
																							$xopecaj_codi_fk);");				
						
							if($r3){
									
								//return 1;
							}
						}																
						
																																																							
					}
					
				?>
				
				<script language="javascript">
				//alert("xactivar_entregas::: <?php echo $xactivar_entregas; ?>");
				</script>
				
				<?php					
					
					/***********GENERA ALMACEN AUTOMATICAMENTE*****************/
					//if($xpagtip_almacen_automatico == 1){
					if($xpagtip_almacen_automatico == 1 and $xactivar_entregas==0){					
					
						$xopetip_codi_fk_2 = $_SESSION['s_operaciontipo'];
						//$xdoctip_codi_fk_2 = $_SESSION['s_documentotipo'];
											
								
						$xdocpag_codi_fk=$xpagodocumento;
						$r_documento_tipo=mysqli_query($conexion,"SELECT * FROM documento_pago d 
																INNER JOIN documento_tipo dt ON dt.doctip_nombre=d.docpag_nombre 
																WHERE docpag_codi=$xdocpag_codi_fk;");	
						
						while($row_documento_tipo=mysqli_fetch_array($r_documento_tipo)){
							$xdoctip_codi=$row_documento_tipo['doctip_codi'];
							
						}					
						
						$xdoctip_codi_fk_2=$xdoctip_codi;																											
											
											
						//IDENTIFICANDO ID DE OPERACI�N DE ALMACEN
						$r_idalmacen = mysqli_query($conexion, "SELECT * FROM orden_pedido_almacen o where ordped_codi_fk=$xordped_codi;");
						while($row_idalmacen = mysqli_fetch_array($r_idalmacen)){
							$xopealm_codi_fk = $row_idalmacen['opealm_codi_fk'];
							
							//ANULA OPERACI�N DE ALMAC�N EXISTENTE
							$r_almacen=mysqli_query($conexion,"UPDATE operacion_almacen set opealm_estado=0,
																					   opealm_anotaciones='ANULADO AUTOMATICAMENTE'
																				  WHERE opealm_codi=$xopealm_codi_fk;");											
						}	
																
						
						$r_nro_pedido = mysqli_query($conexion, "SELECT ordped_numero FROM orden_pedido WHERE idtrans='$xidtrans';");
						while($row_nro_pedido = mysqli_fetch_array($r_nro_pedido)){
							$xordpedcom_numero = $row_nro_pedido['ordped_numero'];
						}
							
									
						
						$nu = "9999999999"; 
						$xnu = time().rand(1,$nu);					
						
						$correlativo = $cor->almacen($conexion);
						
						$xfechahora = date('Y-m-d H:i:s');
						
						$r_almacen=mysqli_query($conexion,"INSERT INTO operacion_almacen (opealm_fechahora,
																						opealm_fecha,
																						opealm_numero,																		
																						per_codi_fk,
																						doctip_codi_fk,
																						opetip_codi_fk,
																						idtrans,
																						opealm_anotaciones,
																						doc_numero,
																						opealm_usu_crea,
																						ordpedcom_numero,
																						emp_codi_fk) 
																				VALUES('$xfechahora',
																						'$xfecha',
																						'$correlativo',
																						$xproveedor,
																						$xdoctip_codi_fk_2,
																						$xopetip_codi_fk_2,
																						'$xnu',
																						'GENERADO AUNTOMATICAMENTE',
																						'$xndocumento',
																						'$xusuario_sesion',
																						'$xordpedcom_numero',
																						'$s_empresa');");				
						
						if($r_almacen){		
						
							$r_trans = mysqli_query($conexion, "SELECT opealm_codi FROM operacion_almacen o where idtrans='$xnu';");
							while($row_trans=mysqli_fetch_array($r_trans)){
								$xopealm_codi=$row_trans['opealm_codi'];
							}
													
							//$r1 = mysqli_query($conexion,"SELECT * FROM temporal_orden_pedido_detalle t WHERE idtrans='$xidtrans' order by ordpeddet_codi;");	
							$r1 = mysqli_query($conexion,"SELECT * FROM temporal_orden_pedido_detalle t 
														WHERE idtrans='$xidtrans' 
														AND idtrans_temporal='$xidtrans_temporal' 
														order by ordpeddet_codi;");	
							while($row1=mysqli_fetch_array($r1)){
							
								$xprd_codi_fk = $row1['prd_codi_fk'];
								$xunimed_codi_fk = $row1['unimed_codi_fk'];
								$xordpeddet_precio = $row1['ordpeddet_precio'];
								$xordpeddet_cantidad = $row1['ordpeddet_cantidad'];						
							
								$xfechahora = date('Y-m-d H:i:s');
																				
								$r=mysqli_query($conexion,"INSERT INTO operacion_almacen_detalle (opealmdet_fechahora, 
																								prd_codi_fk,
																								unimed_codi_fk,																				
																								opealmdet_cantidad,
																								opealm_codi_fk,
																								idtrans) 
																						VALUES('$xfechahora',
																								$xprd_codi_fk,
																								$xunimed_codi_fk,																				
																								$xordpeddet_cantidad,
																								$xopealm_codi,
																								'$xidtrans');");				
							}
							
	
							$r4=mysqli_query($conexion,"SELECT * FROM operacion_almacen o WHERE idtrans = '$xnu';");
							while($row4=mysqli_fetch_array($r4)){
								$xopealm_codi_fk = $row4['opealm_codi'];
							}
								
							$xfechahora = date('Y-m-d H:i:s');								
							
							$r3=mysqli_query($conexion,"INSERT INTO orden_pedido_almacen (ordpedalm_fechahora,
																							ordped_codi_fk,
																							opealm_codi_fk) 
																					VALUES('$xfechahora',
																							$xordped_codi,
																							$xopealm_codi_fk);");
						
						}																					
																
					}													
				
				}

			}
			/****** FIN AUTOMATICO *******************/
			
			
		
			
			
			
			//$r_limpiando_temporal = mysqli_query($conexion,"DELETE FROM temporal_orden_pedido_detalle WHERE idtrans='$xidtrans'; ");
			
			/*
			$r_limpiando_temporal = mysqli_query($conexion,"DELETE FROM temporal_orden_pedido_detalle WHERE idtrans='$xidtrans' AND idtrans_temporal='$xidtrans_temporal' ; ");
			
			if($r_limpiando_temporal){		
				return 1;
			}
			*/	
			
			return 1;
		
		}		
	
	}	
	




	//Elimina
	function eliminar($conexion,$xid,$xprc_codi,$xordpeddet_codi,$xid_array, $xclave_quitar_item){
		//global $xid,$xprc_codi,$xordpeddet_codi,$xid_array;
		
		$r = mysqli_query($conexion,"SELECT * FROM usuarios u 
									WHERE usu_estado=1 
									AND usu_tipo=3 
									AND md5(usu_clave)=md5(md5('$xclave_quitar_item')) 
									LIMIT 1;");
		if(mysqli_num_rows($r) > 0 or 1==1){							
		
			$arr_cotizacion = $_SESSION['arr_cotizacion']; 
			unset($arr_cotizacion[$xid_array]);
			$arr_cotizacion = array_values($arr_cotizacion);		
			$_SESSION['arr_cotizacion'] = $arr_cotizacion; 	

			?>
			<script language="javascript">			
			parent.parent.document.getElementById('xclave_quitar_item').value="";	
			parent.parent.document.getElementById('xcodigo_barras').focus();									
			parent.parent.cerraradicionar('d_quitar_item');	
			</script>
			<?php
					
			return 1;
		}else{	
			?>
			<script language="javascript">
			alert("ADVERTENCIA: La clave es incorrecta o no está autorizada para realizar esta acción.");
			parent.parent.document.getElementById('xclave_quitar_item').focus();
			</script>
			<?php
		}
		//$r = mysqli_query($conexion,"delete from temporal_orden_pedido_detalle where ordpeddet_codi = $xordpeddet_codi;");		
		//if($r){		
		//	return 1;
		//}	
	}		


	//Guarda unidad
	function guardar_unidad($conexion,$xid,$xprc_codi,$xordpeddet_codi,$xunimed_codi){
		//global $xid,$xprc_codi,$xordpeddet_codi,$xunimed_codi;		

		/*
		$r = mysqli_query($conexion,"update temporal_orden_pedido_detalle set unimed_codi_fk='$xunimed_codi' 
																		where ordpeddet_codi = $xordpeddet_codi;");
		
		if($r){		
			return 1;
		}
		*/	
	}		


	//Guarda cantidad
	function guardar_cantidad($conexion,$xid,$xprc_codi,$xordpeddet_codi,$xordpeddet_cantidad,$xid_array){
		//global $xid,$xprc_codi,$xordpeddet_codi,$xordpeddet_cantidad,$xid_array;		
		
		$arr_cotizacion = $_SESSION['arr_cotizacion']; 
		$arr_cotizacion[$xid_array]['t_cantidad'] = $xordpeddet_cantidad;
		$_SESSION['arr_cotizacion'] = $arr_cotizacion; 
			
		return 1;

		//$r = mysqli_query($conexion,"update temporal_orden_pedido_detalle set ordpeddet_cantidad='$xordpeddet_cantidad' 
		//																where ordpeddet_codi = $xordpeddet_codi;");		
		//if($r){		
		//	return 1;
		//}	
	}		

	//Guarda precio
	function guardar_precio($conexion,$xid,$xprc_codi,$xordpeddet_codi,$xordpeddet_precio,$xid_array){
		//global $xid,$xprc_codi,$xordpeddet_codi,$xordpeddet_precio,$xid_array;		

		$arr_cotizacion = $_SESSION['arr_cotizacion']; 		
		$arr_cotizacion[$xid_array]['t_ordpeddet_precio'] = $xordpeddet_precio;
		$_SESSION['arr_cotizacion'] = $arr_cotizacion; 
		
		return 1;
		//$r = mysqli_query($conexion,"update temporal_orden_pedido_detalle set ordpeddet_precio='$xordpeddet_precio' 
		//																where ordpeddet_codi = $xordpeddet_codi;");
		
		//if($r){		
			//return 1;
		//}	
	}		





	//Guarda nuevp pedido
	function guardar_nuevo_pedido($conexion,$xid,$xprc_codi,$xordpeddet_codi,$xordpeddet_precio,$xfecha,$xproveedor,$xpagotipo,$xidtrans,$xanotaciones,$xusuario_sesion,$xmonto,$xpagodocumento,$xndocumento,$cor,$vali,$xid_recuperado,$xpedido_recuperado,$xfecha_documento, $xampliacion_plazo, $xdias_plazo, $xobservacion, $xpagomedio, $xactivar_entregas, $xefectivo, $xcambio, $xactivar_pago_mixto){ 
		
		//global $xid,$xprc_codi,$xordpeddet_codi,$xordpeddet_precio,$xfecha,$xproveedor,$xpagotipo,$xidtrans,$xanotaciones,$xusuario_sesion,$xmonto,$xpagodocumento,$xndocumento,$cor,$vali,$xid_recuperado,$xpedido_recuperado,$xfecha_documento, $xampliacion_plazo, $xdias_plazo, $xobservacion, $xpagomedio, $xactivar_entregas;			
		
		
			?>
			<script language="javascript">			
			//alert("sisisi: <?php echo $xpedido_recuperado; ?>");     
			</script>			
			<?php
		
		/*
		$correlativo = $cor->pedido($conexion);		
		$correlativo_pedido=$correlativo;		
		if($_SESSION['s_facturacion_electronica']==1){				
			$xserie = substr(trim($xndocumento),0,4);			
			$correlativo_doc = $cor->comprobantes_grabar($conexion, $xserie, $xpagodocumento);			
			$xndocumento = $correlativo_doc;
		}	
		*/
		
		$correlativo = "";
		
		$xs_facturacion_electronica = $_SESSION['s_facturacion_electronica'];
		
		$s_igv = $_SESSION['s_igv'];
		$s_empresa = $_SESSION['s_empresa'];		
		
		$xfechahora = date('Y-m-d H:i:s');	
		
		$xs_usu_codi = $_SESSION['s_usu_codi'];
		
		$xordped_caj_numero = "";
		$r_caja_abierta = mysqli_query($conexion,"SELECT caj_numero 
												FROM caja c 
												WHERE usu_codi_fk=$xs_usu_codi 
												AND caj_cerrada=0 
												ORDER BY caj_codi DESC LIMIT 1;"); 
		while($row_caja_abierta = mysqli_fetch_array($r_caja_abierta)){
			$xordped_caj_numero = trim($row_caja_abierta['caj_numero']);
		}			

		
		$r_verifica_duplicado = mysqli_query($conexion,"SELECT * FROM orden_pedido o WHERE idtrans='$xidtrans';");
		if(mysqli_num_rows($r_verifica_duplicado) > 0){
			?>
			<script language="javascript">
			alert("ADVERTENCIA: EL SISTEMA EVITO LA DUPLICACION DEL REGISTRO.");
			parent.parent.document.form_buscar.submit();
			</script>
			<?php		
			exit;
		}
		
		
		//$xanotaciones = eregi_replace("[\n|\r|\n\r]", ' ', $xanotaciones);
		$xanotaciones = preg_replace("[\n|\r|\n\r]", ' ', $xanotaciones);				
					
		//$xobservacion = eregi_replace("[\n|\r|\n\r]", ' ', $xobservacion);			
		$xobservacion = preg_replace("[\n|\r|\n\r]", ' ', $xobservacion);			
		
		$r2=mysqli_query($conexion,"INSERT INTO orden_pedido (ordped_fechahora,
																		ordped_fecha,
																		ordped_numero,
																		per_codi_fk,
																		doctip_codi_fk,
																		pagtip_codi_fk,
																		idtrans,
																		ordped_anotaciones,
																		ordped_usu_crea,
																		docpag_codi_fk,
																		ordped_docpagnum,
																		cot_codi_fk,
																		ordped_igv_porcentaje,
																		ordped_fecha_documento,
																		emp_codi_fk,
																		ordped_dias_credito, 
																		ordped_dias_credito_ampliacion,
																		ordped_facturacion_electronica,
																		ordped_observacion,
																		medpag_codi_fk,
																		flg_ose,
																		ordped_caj_numero,
																		ordped_efectivo,
																		ordped_cambio,
																		ordped_estado
																		) 
																VALUES('$xfechahora',
																		'$xfecha',
																		'$correlativo',
																		$xproveedor,
																		2,
																		$xpagotipo,
																		'$xidtrans',
																		'$xanotaciones',
																		'$xusuario_sesion',
																		$xpagodocumento,
																		'$xndocumento',
																		'$xpedido_recuperado',
																		$s_igv,
																		'$xfecha_documento',
																		'$s_empresa',
																		'$xdias_plazo',
																		'$xampliacion_plazo',
																		'$xs_facturacion_electronica',
																		'$xobservacion',
																		'$xpagomedio',
																		1,
																		'$xordped_caj_numero',
																		'$xefectivo',
																		'$xcambio',
																		0);");				
		
		if($r2){
		
			?>
			<script language="javascript">			
			//alert("testeo 3:");     
			</script>			
			<?php
		
		
			$correlativo = $cor->pedido($conexion);		
			$correlativo_pedido=$correlativo;		
			if($_SESSION['s_facturacion_electronica']==1){				
				$xserie = substr(trim($xndocumento),0,4);			
				$correlativo_doc = $cor->comprobantes_grabar($conexion, $xserie, $xpagodocumento);			
				$xndocumento = $correlativo_doc;
			}	
			
			$g_actualiza_r2 = mysqli_query($conexion,"UPDATE orden_pedido SET ordped_numero = '$correlativo',
																			ordped_docpagnum = '$xndocumento'
																	WHERE idtrans = '$xidtrans';");


		
				
		
			$r_trans = mysqli_query($conexion, "SELECT ordped_codi FROM orden_pedido o where idtrans='$xidtrans';");
			while($row_trans=mysqli_fetch_array($r_trans)){
				$xordped_codi=$row_trans['ordped_codi'];
			}
		
		
			@$arr_cotizacion = $_SESSION['arr_cotizacion']; 
		  	$xcantidad = count($arr_cotizacion);
		  
		  	for($i=0; $i<$xcantidad; $i++){
			
				if(@$arr_cotizacion[$i]==NULL){
					continue;
				}
			
				//$xp_codi = $arr_cotizacion[$i]['xp_codi'];
				//$xp_codi_2 = $arr_cotizacion[$i]['xp_codi_2'];	
				
				$xt_fechahora = $arr_cotizacion[$i]['t_ordpeddet_fechahora'];
				$xt_prd_codi = $arr_cotizacion[$i]['t_prd_codi_fk'];
				$xt_idtrans = $arr_cotizacion[$i]['t_idtrans'];
				$xt_unimed_codi = $arr_cotizacion[$i]['t_unimed_codi_fk'];
				$xt_ordpeddet_precio = $arr_cotizacion[$i]['t_ordpeddet_precio'];
				$xt_idtrans_temporal = $arr_cotizacion[$i]['t_idtrans_temporal'];				
				$xt_cantidad = $arr_cotizacion[$i]['t_cantidad'];	
				$xt_observacion = $arr_cotizacion[$i]['t_observacion'];									
				$xt_ordped_codi = $arr_cotizacion[$i]['t_ordped_codi'];					
				$xt_ordpeddet_icbper_monto_unitario = $arr_cotizacion[$i]['t_ordpeddet_icbper_monto_unitario'];				
				$xt_ordpeddet_igv_afectado = $arr_cotizacion[$i]['t_ordpeddet_igv_afectado'];
				
				//////EL PRECIO DE CATALOGO ES EL PRECIO MINORISTA/////
				$xprecio_catalogo = 0;
				$r_precio_catalogo = mysqli_query($conexion, "SELECT prc_precio 
															FROM precios p
															WHERE prc_estado = 1
															AND prd_codi_fk = $xt_prd_codi
															AND unimed_codi_fk = $xt_unimed_codi
															AND prctip_codi_fk = 2
															ORDER BY prc_codi
															LIMIT 1;");
				while($row_precio_catalogo = mysqli_fetch_array($r_precio_catalogo)){
					$xprecio_catalogo = $row_precio_catalogo['prc_precio'];
				}


				
				//$xmonto_icbper_por_item = $xt_cantidad * $xmonto_icbper;
		
		
				$xfechahora = date('Y-m-d H:i:s');		
				
				$r=mysqli_query($conexion,"INSERT INTO orden_pedido_detalle (ordpeddet_fechahora, 
																				prd_codi_fk,
																				unimed_codi_fk,
																				ordpeddet_precio,
																				ordpeddet_cantidad,
																				ordped_codi_fk,
																				idtrans,
																				ordpeddet_observaciones,
																				ordpeddet_precio_catalogo,
																				ordpeddet_icbper_monto_unitario,
																				ordpeddet_igv_afectado) 
																		VALUES('$xfechahora',
																				$xt_prd_codi,
																				$xt_unimed_codi,
																				$xt_ordpeddet_precio,
																				$xt_cantidad,
																				$xordped_codi,
																				'$xidtrans',
																				'$xt_observacion',
																				$xprecio_catalogo,
																				$xt_ordpeddet_icbper_monto_unitario,
																				'$xt_ordpeddet_igv_afectado');");
																			
			}																				
			/********************* FIN DE RECORRIDO DE ARRAY ***********************/
			
			$g_actualiza_r3 = mysqli_query($conexion,"UPDATE orden_pedido SET ordped_estado = '1'
																	WHERE idtrans = '$xidtrans';");
																			
		
			/*
			$r1 = mysqli_query($conexion,"SELECT * FROM temporal_orden_pedido_detalle t WHERE idtrans='$xidtrans' order by ordpeddet_codi;");	
			while($row1=mysqli_fetch_array($r1)){
			
				$xprd_codi_fk=$row1['prd_codi_fk'];
				$xunimed_codi_fk=$row1['unimed_codi_fk'];
				$xordpeddet_precio=$row1['ordpeddet_precio'];
				$xordpeddet_cantidad=$row1['ordpeddet_cantidad'];
				$xordpeddet_observaciones=$row1['ordpeddet_observaciones'];
				
				$xfechahora = date('Y-m-d H:i:s');		
				
				$r=mysqli_query($conexion,"INSERT INTO orden_pedido_detalle (ordpeddet_fechahora, 
																				prd_codi_fk,
																				unimed_codi_fk,
																				ordpeddet_precio,
																				ordpeddet_cantidad,
																				ordped_codi_fk,
																				idtrans,
																				ordpeddet_observaciones) 
																		VALUES('$xfechahora',
																				$xprd_codi_fk,
																				$xunimed_codi_fk,
																				$xordpeddet_precio,
																				$xordpeddet_cantidad,
																				$xordped_codi,
																				'$xidtrans',
																				'$xordpeddet_observaciones');");				
			}
			*/
			
			
			//SI LOS CAMPOS QUE GENERAN AUTOMATICAMENTE LA OPERACI�N DE CAJA Y OPERACION DE ALMACEN, ESTAN ACTIVADOS
			$r_tipo = mysqli_query($conexion, "SELECT pagtip_caja_automatica, pagtip_almacen_automatico 
												FROM pago_tipo p 
												WHERE pagtip_codi=$xpagotipo;");
			while($row_tipo = mysqli_fetch_array($r_tipo)){
				$xpagtip_caja_automatica = $row_tipo['pagtip_caja_automatica'];
				$xpagtip_almacen_automatico = $row_tipo['pagtip_almacen_automatico'];
				
				
				//if($xpagtip_caja_automatica == 1){				
				if($xpagtip_caja_automatica == 1 and $xactivar_pago_mixto==0){		
				
				?>			
				<script language="javascript">
				//parent.document.getElementById('xidtrans').value = "<?php echo $xnu; ?>";
				//alert("si se cumple");
				</script>			
				<?php
				
				
					$nu = "9999999999"; 
					$xnu = time().rand(1,$nu);
					
					//$xmediopago2 = $_SESSION['s_mediopago'];
					
					if(trim($xpagomedio)=="" and $xpagomedio==NULL){
						$xmediopago2 = $_SESSION['s_mediopago'];
					}else{	
						$xmediopago2 = $xpagomedio;
					}					
					
					$correlativo = $cor->caja($conexion);
					$xcaj_codi = $vali->caja_abierta($conexion);					
					//$correlativo = "0000013";
										
					$xopecajtip_codi_fk_222=$_SESSION['s_cobropedido'];
					
					$xfechahora = date('Y-m-d H:i:s');							
										
					$r_caja=mysqli_query($conexion,"INSERT INTO operacion_caja (opecaj_fechahora,
																	opecaj_fecha,
																	opecaj_numero,																		
																	per_codi_fk,
																	opecajtip_codi_fk,																		
																	opecaj_anotaciones,
																	opecaj_monto,
																	opecaj_usu_crea,
																	medpag_codi_fk,
																	idtrans,
																	caj_codi_fk,
																	emp_codi_fk) 
															VALUES('$xfechahora',
																	'$xfecha',
																	'$correlativo',
																	$xproveedor,
																	$xopecajtip_codi_fk_222,
																	'GENERADO AUTOMATICAMENTE',
																	$xmonto,
																	'$xusuario_sesion',
																	'$xmediopago2',
																	'$xidtrans',
																	'$xcaj_codi',
																	'$s_empresa');");
																	
						if($r_caja){																											
																	
							$r4=mysqli_query($conexion,"SELECT opecaj_codi FROM operacion_caja o WHERE idtrans = '$xidtrans';");
							while($row4=mysqli_fetch_array($r4)){
								$xopecaj_codi_fk = $row4['opecaj_codi'];
							}
												
							$xfechahora = date('Y-m-d H:i:s');								
							
							$r3=mysqli_query($conexion,"INSERT INTO orden_pedido_caja (ordpedcaj_fechahora,
																							ordped_codi_fk,
																							opecaj_codi_fk) 
																					VALUES('$xfechahora',
																							$xordped_codi,
																							$xopecaj_codi_fk);");				
						
							if($r3){
									
								//return 1;
							}
				
						}																
																	
				}
				
				
				?>			
				<script language="javascript">
				//parent.document.getElementById('xidtrans').value = "<?php echo $xnu; ?>";
				//alert("xpagtip_almacen_automatico:<?php echo $xpagtip_almacen_automatico;?>  xactivar_entregas:<?php echo $xactivar_entregas; ?>");
				</script>			
				<?php				

				
				//if($xpagtip_almacen_automatico == 1){
				if($xpagtip_almacen_automatico == 1 and $xactivar_entregas==0){
				
					$xopetip_codi_fk_2 = $_SESSION['s_operaciontipo'];
					//$xdoctip_codi_fk_2 = $_SESSION['s_documentotipo'];
					$xnro_documento = "";
					
								
					$xdocpag_codi_fk=$xpagodocumento;
					$r_documento_tipo=mysqli_query($conexion,"SELECT doctip_codi 
																FROM documento_pago d 
																INNER JOIN documento_tipo dt ON dt.doctip_nombre=d.docpag_nombre 
																WHERE docpag_codi=$xdocpag_codi_fk;");	
					
					while($row_documento_tipo=mysqli_fetch_array($r_documento_tipo)){
						$xdoctip_codi=$row_documento_tipo['doctip_codi'];
						
					}					
					
					$xdoctip_codi_fk_2=$xdoctip_codi;																			
					
					
					

				?>			
				<script language="javascript">
				//parent.document.getElementById('xidtrans').value = "<?php echo $xnu; ?>";
				//alert("si se cumple: <?php echo $xopetip_codi_fk_2; ?> - <?php echo $xdoctip_codi_fk_2; ?> ");
				</script>			
				<?php


					$correlativo = $cor->almacen($conexion);
					
					//$correlativo = "0000014";	
					$xfechahora = date('Y-m-d H:i:s');						
														
					$r_almacen=mysqli_query($conexion,"INSERT INTO operacion_almacen (opealm_fechahora,
																					opealm_fecha,
																					opealm_numero,																		
																					per_codi_fk,
																					doctip_codi_fk,
																					opetip_codi_fk,
																					idtrans,
																					opealm_anotaciones,
																					doc_numero,
																					opealm_usu_crea,
																					ordpedcom_numero,
																					emp_codi_fk) 
																			VALUES('$xfechahora',
																					'$xfecha',
																					'$correlativo',
																					$xproveedor,
																					$xdoctip_codi_fk_2,
																					$xopetip_codi_fk_2,
																					'$xidtrans',
																					'GENERADO AUNTOMATICAMENTE',
																					'$xndocumento',
																					'$xusuario_sesion',
																					'$correlativo_pedido',
																					'$s_empresa');");				
					
					if($r_almacen){		

						$r_trans = mysqli_query($conexion,"SELECT opealm_codi FROM operacion_almacen o where idtrans='$xidtrans';");
						while($row_trans = mysqli_fetch_array($r_trans)){
							$xopealm_codi = $row_trans['opealm_codi'];
						}
						
						
						@$arr_cotizacion = $_SESSION['arr_cotizacion']; 
						$xcantidad = count($arr_cotizacion);
					  
						for($i=0; $i<$xcantidad; $i++){
						
							if(@$arr_cotizacion[$i]==NULL){
								continue;
							}
						
							//$xp_codi = $arr_cotizacion[$i]['xp_codi'];
							//$xp_codi_2 = $arr_cotizacion[$i]['xp_codi_2'];	
							
							$xt_fechahora = $arr_cotizacion[$i]['t_ordpeddet_fechahora'];
							$xt_prd_codi = $arr_cotizacion[$i]['t_prd_codi_fk'];
							$xt_idtrans = $arr_cotizacion[$i]['t_idtrans'];
							$xt_unimed_codi = $arr_cotizacion[$i]['t_unimed_codi_fk'];
							$xt_ordpeddet_precio = $arr_cotizacion[$i]['t_ordpeddet_precio'];
							$xt_idtrans_temporal = $arr_cotizacion[$i]['t_idtrans_temporal'];				
							$xt_cantidad = $arr_cotizacion[$i]['t_cantidad'];	
							$xt_observacion = $arr_cotizacion[$i]['t_observacion'];									
							$xt_ordped_codi = $arr_cotizacion[$i]['t_ordped_codi'];																				
					
							$xfechahora = date('Y-m-d H:i:s');								
							
							$r=mysqli_query($conexion,"INSERT INTO operacion_almacen_detalle (opealmdet_fechahora, 
																							prd_codi_fk,
																							unimed_codi_fk,																				
																							opealmdet_cantidad,
																							opealm_codi_fk,
																							idtrans) 
																					VALUES('$xfechahora',
																							$xt_prd_codi,
																							$xt_unimed_codi,																				
																							$xt_cantidad,
																							$xopealm_codi,
																							'$xidtrans');");																		
						
						}
						
						/*						
						$r1 = mysqli_query($conexion,"SELECT * FROM temporal_orden_pedido_detalle t WHERE idtrans='$xidtrans' order by ordpeddet_codi;");	
						while($row1=mysqli_fetch_array($r1)){
						
							$xprd_codi_fk = $row1['prd_codi_fk'];
							$xunimed_codi_fk = $row1['unimed_codi_fk'];
							$xordpeddet_precio = $row1['ordpeddet_precio'];
							$xordpeddet_cantidad = $row1['ordpeddet_cantidad'];						
							
							$xfechahora = date('Y-m-d H:i:s');
																					
							$r=mysqli_query($conexion,"INSERT INTO operacion_almacen_detalle (opealmdet_fechahora, 
																							prd_codi_fk,
																							unimed_codi_fk,																				
																							opealmdet_cantidad,
																							opealm_codi_fk,
																							idtrans) 
																					VALUES('$xfechahora',
																							$xprd_codi_fk,
																							$xunimed_codi_fk,																				
																							$xordpeddet_cantidad,
																							$xopealm_codi,
																							'$xidtrans');");				
						}
						*/
						

						/*
						$r4=mysqli_query($conexion,"SELECT * FROM operacion_almacen o WHERE idtrans = '$xidtrans';");
						while($row4=mysqli_fetch_array($r4)){
							$xopealm_codi_fk = $row4['opealm_codi'];
						}
						*/
						
						$xfechahora = date('Y-m-d H:i:s');								
												
						$r3=mysqli_query($conexion,"INSERT INTO orden_pedido_almacen (ordpedalm_fechahora,
																						ordped_codi_fk,
																						opealm_codi_fk) 
																				VALUES('$xfechahora',
																						$xordped_codi,
																						$xopealm_codi);");
					
					}		
																										
				}									
			
			}
			
			
			?>			
			<script language="javascript">
			//alert("Pedido guardado satisfactoriamente.")
			//parent.parent.location.href="../pedidos.php";
			parent.parent.document.form_buscar.submit();
			/*
			r=confirm("Desea Imprimir la orden?");
			if(r){
				parent.imprimir_ordenpedido_automatico('<?php echo md5($xordped_codi); ?>')			
			}else{
				//parent.parent.location.href="../pedidos.php";
			}
			*/					
			</script>			
			<?php
						
			
			/*
			$r_limpiando_temporal = mysqli_query($conexion,"DELETE FROM temporal_orden_pedido_detalle WHERE idtrans='$xidtrans'; ");	
	
			if($r_limpiando_temporal){		
				
				?>			
				<script language="javascript">
				//alert("Pedido guardado satisfactoriamente.")
				//parent.parent.location.href="../pedidos.php";
				parent.parent.document.form_buscar.submit();
				r=confirm("Desea Imprimir la orden?");
				if(r){
					parent.imprimir_ordenpedido_automatico('<?php echo md5($xordped_codi); ?>')			
				}else{
					//parent.parent.location.href="../pedidos.php";
				}					
				</script>			
				<?php
										
				//return 1;
			}
			*/	
		
		}		
	}		



	//Adiciona temporal para modificar
	function adicionar_temporal_modificar($conexion,$xid, $xidtrans, $xidtrans_temporal){
		//global $xid, $xidtrans, $xidtrans_temporal;				
		$arr_cotizacion = $_SESSION['arr_cotizacion']; 
		unset($arr_cotizacion);
		$arr_cotizacion = array_values($arr_cotizacion);		
		$_SESSION['arr_cotizacion'] = $arr_cotizacion; 		
										
		//$r_limpiando_temporal = mysqli_query($conexion,"DELETE FROM temporal_orden_pedido_detalle WHERE idtrans='$xidtrans' and idtrans_temporal='$xidtrans_temporal'; ");	
	
		//	if($r_limpiando_temporal){		
		
				//$r2=mysqli_query($conexion,"SELECT od.* FROM orden_pedido_detalle od INNER JOIN orden_pedido o ON od.ordped_codi_fk=o.ordped_codi WHERE o.idtrans='$xidtrans' order by ordpeddet_codi;");
				
				$n = 0;

				$r1 = mysqli_query($conexion,"SELECT od.* FROM orden_pedido_detalle od 
											INNER JOIN orden_pedido o ON od.ordped_codi_fk=o.ordped_codi 
											WHERE o.idtrans='$xidtrans' 
											order by ordpeddet_codi;");	
				while($row1=mysqli_fetch_array($r1)){
													
					$xprd_codi_fk = $row1['prd_codi_fk'];
					$xunimed_codi_fk = $row1['unimed_codi_fk'];
					$xordpeddet_precio = $row1['ordpeddet_precio'];
					$xordpeddet_cantidad = $row1['ordpeddet_cantidad'];		
					$xordpeddet_codi = $row1['ordpeddet_codi'];						
					$xordpeddet_observaciones = $row1['ordpeddet_observaciones'];		
					$xordped_codi = $row1['ordped_codi_fk'];		
					$xordpeddet_icbper_monto_unitario = $row1['ordpeddet_icbper_monto_unitario'];					
					$xordpeddet_igv_afectado = $row1['ordpeddet_igv_afectado'];
																		
					$xfechahora = date('Y-m-d H:i:s');	
															
					//PROCESO DE MATRIZ
					$arr_cotizacion = $_SESSION['arr_cotizacion']; 
					//$xcantidad = count($arr_cotizacion);
					
					$xidtrans_temporal_vacio="";
					//if(count($arr_cotizacion,0)==0){
					//	$arr_cotizacion = array();
					//	$n = 0;
					//}else{	
					//	$n = count($arr_cotizacion,0);
					//}
					
					$arr_cotizacion[$n]['t_ordpeddet_fechahora'] = $xfechahora;
					$arr_cotizacion[$n]['t_prd_codi_fk'] = $xprd_codi_fk;
					$arr_cotizacion[$n]['t_idtrans'] = $xidtrans;
					$arr_cotizacion[$n]['t_unimed_codi_fk'] = $xunimed_codi_fk;
					$arr_cotizacion[$n]['t_ordpeddet_precio'] = $xordpeddet_precio;
					$arr_cotizacion[$n]['t_idtrans_temporal'] = $xidtrans_temporal_vacio;
					$arr_cotizacion[$n]['t_cantidad'] = $xordpeddet_cantidad;
					$arr_cotizacion[$n]['t_observacion'] = $xordpeddet_observaciones;
					$arr_cotizacion[$n]['t_ordped_codi'] = $xordped_codi;												
					$arr_cotizacion[$n]['t_ordpeddet_icbper_monto_unitario'] = $xordpeddet_icbper_monto_unitario;
					$arr_cotizacion[$n]['t_ordpeddet_igv_afectado'] = $xordpeddet_igv_afectado;															
					
					$_SESSION['arr_cotizacion'] = $arr_cotizacion;
					
					//FIN DE PROCESO DE MATRIZ
					
					$n = $n + 1;
					
						
					/*
					$r=mysqli_query($conexion,"INSERT INTO temporal_orden_pedido_detalle (ordpeddet_fechahora, 
																					prd_codi_fk,
																					unimed_codi_fk,
																					ordpeddet_precio,
																					ordpeddet_cantidad,
																					ordpeddet_codi_fk,
																					idtrans,
																					idtrans_temporal,
																					ordpeddet_observaciones) 
																			VALUES('$xfechahora',
																					$xprd_codi_fk,
																					$xunimed_codi_fk,
																					$xordpeddet_precio,
																					$xordpeddet_cantidad,
																					$xordpeddet_codi,
																					'$xidtrans',
																					'$xidtrans_temporal',
																					'$xordpeddet_observaciones');");				
					*/
				
				}													
			//}			
			
				
		//$r=mysqli_query($conexion,"INSERT INTO temporal_orden_pedido_detalle (ordpeddet_fechahora, prd_codi_fk, idtrans) VALUES(NOW(),$xprd_codi,$xidtrans);");
				
		//if($r){		
			return 1;
		//}					
	}	



	//Generar Idtrans	
	function generar_idtrans(){
							
		$nu = "9999999999"; 
		$xnu = time().rand(1,$nu);
		
		?>			
		<script language="javascript">
		parent.document.getElementById('xidtrans').value = "<?php echo $xnu; ?>";
		</script>			
		<?php
		
		return 1;	

	}



	//Activa una compra
	function activar($conexion, $xestado, $xaccion, $xid, $xusuario_sesion){
		//global $xestado, $xaccion, $xid, $xusuario_sesion;			

				?>
				<script language="javascript">
				//alert("eSTADO. <?php  ?> ")
				</script>			
				<?php


		$r = mysqli_query($conexion,"update orden_pedido set ordped_estado = $xestado,
															 ordped_usu_activa = '$xusuario_sesion' 
													   where ordped_codi = $xid;");		
		if($r){		
	
			$r_cajas = mysqli_query($conexion,"SELECT * FROM orden_pedido_caja o WHERE ordped_codi_fk=$xid;");			
			while($row_cajas = mysqli_fetch_array($r_cajas)){
				$xopecaj_codi = $row_cajas['opecaj_codi_fk'];
				
				$rg = mysqli_query($conexion,"UPDATE operacion_caja SET opecaj_estado=$xestado WHERE opecaj_codi=$xopecaj_codi;");				
			}

			$r_almacenes = mysqli_query($conexion,"SELECT * FROM orden_pedido_almacen o WHERE ordped_codi_fk=$xid;");			
			while($row_almacenes = mysqli_fetch_array($r_almacenes)){
				$xopealm_codi = $row_almacenes['opealm_codi_fk'];
				
				$rg = mysqli_query($conexion,"UPDATE operacion_almacen SET opealm_estado=$xestado WHERE opealm_codi=$xopealm_codi;");				
			}

			return 1;
		}		
	}	




	// recuperar
	function adicionar_temporal_recuperar_cotizacion($conexion, $xid, $xidtrans, $xid_recuperado, $xop2, $xidtrans_temporal){
		//global $xid, $xidtrans, $xid_recuperado, $xop2, $xidtrans_temporal;
		
			//$r_limpiando_temporal = mysqli_query($conexion,"DELETE FROM temporal_orden_pedido_detalle WHERE idtrans='$xidtrans' AND idtrans_temporal='$xidtrans_temporal'; ");	
		
				//if($r_limpiando_temporal){										
					
					//$r1=mysqli_query($conexion,"SELECT od.* FROM orden_pedido_detalle od INNER JOIN orden_pedido o ON od.ordped_codi_fk=o.ordped_codi WHERE o.ordped_codi=$xid_recuperado order by ordpeddet_codi;");	
					
					$arr_cotizacion = $_SESSION['arr_cotizacion']; 
					unset($arr_cotizacion);
					$arr_cotizacion = array_values($arr_cotizacion);		
					$_SESSION['arr_cotizacion'] = $arr_cotizacion; 		
				
									
					$r1=mysqli_query($conexion,"SELECT cd.* 
												FROM cotizaciones_detalle cd 
												INNER JOIN cotizaciones c ON cd.cot_codi_fk=c.cot_codi 
												WHERE c.cot_codi=$xid_recuperado 
												order by cd.cotdet_codi;");	
										
					$xopealmdet_cantidad=0;
					$n = 0;
					
					while($row1=mysqli_fetch_array($r1)){													
															
						$xprd_codi_fk=$row1['prd_codi_fk'];
						$xunimed_codi_fk=$row1['unimed_codi_fk'];
						$xordpeddet_cantidad=$row1['cotdet_cantidad'];	
						$xordpeddet_precio=$row1['cotdet_precio'];
						//$xopealmdet_codi=$row1['opealmdet_codi'];
						//$xopealm_codi_fk=$row1['opealm_codi_fk'];						
	
						$xfechahora = date('Y-m-d H:i:s');			
	
						
						//PROCESO DE MATRIZ
						$arr_cotizacion = $_SESSION['arr_cotizacion']; 
						//$xcantidad = count($arr_cotizacion);
						
						$xidtrans_temporal_vacio = "";
						$xordpeddet_observaciones_vacio = "";
						$xordped_codi_vacio = "";
						//if(count($arr_cotizacion,0)==0){
						//	$arr_cotizacion = array();
						//	$n = 0;
						//}else{	
						//	$n = count($arr_cotizacion,0);
						//}
						
						$xmonto_icbper = 0;
						$xprd_afecto_igv = 0;						
						$r_icbper = mysqli_query($conexion, "SELECT con_icbper_monto FROM productos p
															INNER JOIN configuraciones c ON c.con_prdfam_codi_icbper = p.prdfam_codi_fk
															WHERE prd_codi = $xprd_codi_fk;");
						while($row_icbper = mysqli_fetch_array($r_icbper)){
							$xmonto_icbper = $row_icbper['con_icbper_monto'];
							$xprd_afecto_igv = $row_icbper['prd_afecto_igv'];						
						}
						
						
						
						$arr_cotizacion[$n]['t_ordpeddet_fechahora'] = $xfechahora;
						$arr_cotizacion[$n]['t_prd_codi_fk'] = $xprd_codi_fk;
						$arr_cotizacion[$n]['t_idtrans'] = $xidtrans;
						$arr_cotizacion[$n]['t_unimed_codi_fk'] = $xunimed_codi_fk;
						$arr_cotizacion[$n]['t_ordpeddet_precio'] = $xordpeddet_precio;
						$arr_cotizacion[$n]['t_idtrans_temporal'] = $xidtrans_temporal_vacio;
						$arr_cotizacion[$n]['t_cantidad'] = $xordpeddet_cantidad;
						$arr_cotizacion[$n]['t_observacion'] = $xordpeddet_observaciones_vacio;
						$arr_cotizacion[$n]['t_ordped_codi'] = $xordped_codi_vacio;	
						$arr_cotizacion[$n]['t_ordpeddet_icbper_monto_unitario'] = $xmonto_icbper;	
						$arr_cotizacion[$n]['t_ordpeddet_igv_afectado'] = $xprd_afecto_igv;	
						
						$_SESSION['arr_cotizacion'] = $arr_cotizacion;
						
						//FIN DE PROCESO DE MATRIZ
						
						$n = $n + 1;
						
						
						
						
						/*
						$r=mysqli_query($conexion,"INSERT INTO temporal_orden_pedido_detalle (ordpeddet_fechahora, 
																						prd_codi_fk,
																						unimed_codi_fk,
																						ordpeddet_cantidad,
																						ordpeddet_precio,																						
																						idtrans,
																						idtrans_temporal) 
																				VALUES('$xfechahora',
																						$xprd_codi_fk,
																						$xunimed_codi_fk,
																						$xordpeddet_cantidad,
																						$xordpeddet_precio,																						
																						'$xidtrans',
																						'$xidtrans_temporal');");																														
						*/																
					}			
							
				//}			
					
				return 1;

				
	}	



	//Guarda observacion
	function guardar_observacion($conexion, $xid,$xprc_codi,$xordpeddet_codi,$xordpeddet_observacion, $xid_array){											
		//global $xid,$xprc_codi,$xordpeddet_codi,$xordpeddet_observacion, $xid_array ;	
		
		$arr_cotizacion = $_SESSION['arr_cotizacion']; 
		$arr_cotizacion[$xid_array]['t_observacion'] = $xordpeddet_observacion;
		$_SESSION['arr_cotizacion'] = $arr_cotizacion; 
	
		return 1;
		
		//$r = mysqli_query($conexion,"update temporal_orden_pedido_detalle set ordpeddet_observaciones='$xordpeddet_observacion' 
		//																where ordpeddet_codi = $xordpeddet_codi;");
		
		//if($r){		
		//	return 1;
		//}	
	}		




	//Activa una exoneracion
	function exonerar($conexion, $xestado_igv, $xaccion, $xid, $xusuario_sesion){
		//global $xestado_igv, $xaccion, $xid, $xusuario_sesion;			

				?>
				<script language="javascript">
				//alert("eSTADO. <?php  ?> ")
				</script>			
				<?php				
				
		if($xestado_igv==1){
			$xporcentaje = 0;
		}else{
			$xporcentaje = $_SESSION['s_igv'];
		}		

		$r = mysqli_query($conexion,"update orden_pedido set ordped_igv_porcentaje = $xporcentaje
													   where ordped_codi = $xid;");
		
		if($r){		

			return 1;
		}	
	
	}	



	//Reprocesando
	function reprocesar_comprobante($conexion, $xaccion, $xid, $xusuario_sesion){
		//global $xaccion, $xid, $xusuario_sesion;									

		$r = mysqli_query($conexion,"UPDATE orden_pedido SET ordped_txt_generado=0, 
																		codigohast='', 
																		timbrexml=0, 
																		timbreweb=0, 
																		detallerpta='' 
														WHERE ordped_codi= $xid;");
		
		if($r){		

			return 1;
		}	
	
	}	



	//Reprocesando
	function actualizar_ofertas($conexion,$xidtrans,$xidtrans_temporal){
		//global $xaccion, $xid, $xusuario_sesion;
				
		include("funciones.php");
		
		$arr_cotizacion = $_SESSION['arr_cotizacion']; 
		$xprd_codi = 9999999999;
		$xunimed_codi = 9999999999;
		//$xcantidad = count($arr_cotizacion,0);
		
		/*
		$arr_cotizacion = organizar_promociones($conexion, $arr_cotizacion, $xprd_codi, $xunimed_codi);
		$_SESSION['arr_cotizacion'] = $arr_cotizacion;		
		*/
		
		return 1;	
	}
}








?>

